Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Copy nhiều text theo nhiều phương khác nhau


  • Please log in to reply
13 replies to this topic

#1 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 February 2014 - 06:20 PM

  Lời đầu tiên xin chúc bql diễn đàn cùng các ae 1 năm mạnh khoẻ, may mắn, và gặt hái được nhiều thành công hơn trong công việc!!!

 

  Mình có 1 bản vẽ như trong ảnh nhờ các bác giúp đỡ :

http://yeucau_zpse8baff24.png

 

Bây giờ mình muốn copy các text cao độ màu hồng (nằm trên các đường thẳng b ) từ vị trí 1 sang vị thí 2 theo:

 1. Khoảng cách a người dùng tự nhập

 2. Hướng là từ điểm đầu đến điểm cuối đường thẳng b

  Và chuyển các text cao độ mới về cùng 1 layer (để tiện lọc đối tượng)

Mong các bác trên diễn đàn giúp đỡ.

Xin chân thành cảm ơn !

 


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 14 February 2014 - 10:17 AM

  Lời đầu tiên xin chúc bql diễn đàn cùng các ae 1 năm mạnh khoẻ, may mắn, và gặt hái được nhiều thành công hơn trong công việc!!!

 

  Mình có 1 bản vẽ như trong ảnh nhờ các bác giúp đỡ :

http://

 

Bây giờ mình muốn copy các text cao độ màu hồng (nằm trên các đường thẳng b ) từ vị trí 1 sang vị thí 2 theo:

 1. Khoảng cách a người dùng tự nhập

 2. Hướng là từ điểm đầu đến điểm cuối đường thẳng b

  Và chuyển các text cao độ mới về cùng 1 layer (để tiện lọc đối tượng)

Mong các bác trên diễn đàn giúp đỡ.

Xin chân thành cảm ơn !

Hề hề hề,

Như vầy là copy nhiều text theo một phương xác điẹnh chớ đâu phải là theo nhiều phương, chủ thớt hè?????


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 February 2014 - 04:13 PM

Hề hề hề,
 E chào bác Phamthanhbinh, các đường thẳng b của e nó theo nhiều phương khác nhau bác ơi, trong hình nhìn có vẻ nó song song nhưng thực ra nó ko song song.
 E định đưa bài toán về dạng tìm giao của đường xanh với các đường thẳng b (vì cao độ các điểm này e đã có rồi, thiếu mỗi toạ độ thui), xắp sếp các toạ độ đó :
1. Theo chiều từ đầu đến cuối đường thẳng xanh
2. Xuất ra tệp .xls theo dạng
http://yeucau2_zpse2f35f14.png
 
E có sửa cái lisp tìm giao cũng của bác( chưa có đoạn xuất ra .xls) mà thử hoài nó vẫn k chạy, bác ktra giúp e xem nó sai chỗ nào luôn đc k ạ:

(defun c:gin ( / ssl e2 x fn pw en e1 gd)
(vl-load-com)
(setq ssl (acet-ss-to-list (ssget (list (cons 0 "*line"))))
          ;plst (list) 
          e2 (car (entsel "\n Chon duong can tim giao diem"))  )
(setq x 0)
(setq fn (getfiled "Chon file de xuat ket qua" (getvar "dwgprefix") "xls" 1))
(setq pw (open fn "w"))
(write-line (strcat "STT" "\t" "X" "\t" "Y") pw)
(foreach en ssl
       (cond 
             ((= (cdr (assoc 0 (entget en))) "LWPOLYLINE") (setq ele (cdr (assoc 38 (entget en)))))
             ((= (cdr (assoc 0 (entget en))) "POLYLINE") (setq ele (last (cdr (assoc 10 (entget en))))))
             ((= (cdr (assoc 0 (entget en))) "LINE") (setq ele (last (cdr (assoc 10 (entget en))))))
             (T (setq ele nil))
       )
       (if ele
            (progn
                (command "copy" e2 "" (list 0 0 0) (list 0 0 ele))
                (setq e1 (entlast)
                          ;plst (append plst (acet-geom-intersectwith e1 en 0))
						  gd (acet-geom-intersectwith e1 en 0)
				)
                (write-line (strcat (itoa (1+ x)) "\t" (rtos (car gd) 2 2) "\t" (rtos (cadr gd) 2 2)) pw)
                (setq x (1+ x))
				(command "erase" e1 "")            
			)
       )
  
)
(close pw)
;(setq plst (vl-sort plst '(lambda (x y) (< (vlax-curve-getparamatpoint e2 (list (car x) (cadr x) 0)) (vlax-curve-getparamatpoint e2 (list (car y) (cadr y) 0))))))
;plst
)


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 15 February 2014 - 12:52 AM

Hề hề hề,
 E chào bác Phamthanhbinh, các đường thẳng b của e nó theo nhiều phương khác nhau bác ơi, trong hình nhìn có vẻ nó song song nhưng thực ra nó ko song song.
 E định đưa bài toán về dạng tìm giao của đường xanh với các đường thẳng b (vì cao độ các điểm này e đã có rồi, thiếu mỗi toạ độ thui), xắp sếp các toạ độ đó :
1. Theo chiều từ đầu đến cuối đường thẳng xanh
2. Xuất ra tệp .xls theo dạng
http://yeucau2_zpse2f35f14.png
 
E có sửa cái lisp tìm giao cũng của bác( chưa có đoạn xuất ra .xls) mà thử hoài nó vẫn k chạy, bác ktra giúp e xem nó sai chỗ nào luôn đc k ạ:


Hề hề hề,

Bạn hãy gửi bản vẽ lên thì mới có hy vọng giúp bạn được.

Bạn sửa lisp như vậy không được là đúng vì bạn chưa hiểu cấu trúc lisp mình viết mà. Muốn sửa được lisp bạn cần phải hiểu tác dụng của từng dòng code đã rồi mới dựa vào đó để thêm hay bớt những gì bạn cần.

Cái lisp này nếu mình nhớ không nhầm thì nó dùng để tìm giao điểm của một polyline cho trước với các đường đồng mức. Vì thế áp dụng cho yêu cầu của bạn là hơi bị khiên cưỡng. Nếu muốn dùng nó bạn phải chỉnh sửa rất nhiều và không hề thuận lợi hơn việc làm lisp mới.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 February 2014 - 10:26 AM

Hề hề hề,

Bạn hãy gửi bản vẽ lên thì mới có hy vọng giúp bạn được.

Bạn sửa lisp như vậy không được là đúng vì bạn chưa hiểu cấu trúc lisp mình viết mà. Muốn sửa được lisp bạn cần phải hiểu tác dụng của từng dòng code đã rồi mới dựa vào đó để thêm hay bớt những gì bạn cần.

Cái lisp này nếu mình nhớ không nhầm thì nó dùng để tìm giao điểm của một polyline cho trước với các đường đồng mức. Vì thế áp dụng cho yêu cầu của bạn là hơi bị khiên cưỡng. Nếu muốn dùng nó bạn phải chỉnh sửa rất nhiều và không hề thuận lợi hơn việc làm lisp mới.

https://drive.google...dit?usp=sharing

  Đây là bve của e mong bác xem giúp

  Trong bv e muốn copy các text ở vị trí 1 sang vị trí 2 theo 1 khoảng a nhập vào và đưa nó về 1 layer, để sau đó e trừ các cao độ đó cho 1 số ra đc cao độ thực của nó.

 

PS: Đúng là món lisp thì e cũng có đọc nhưng k hiểu lắm, sửa lisp của bác mong hên xui nó chạy thôi. ai dè nó ngọng hề hề.

      Bài toán trên e sợ thuật toán khó quá nên muốn chuyển về tìm tọa độ các giao điểm tức các vị trí 2 rồi xuất vào tệp .xls như trên sau đó dựa vào các giao điểm đó để chèn text cao độ vào ( vì cao độ các điểm  này e có rồi thiếu mỗi tọa độ nó thôi) :(


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 15 February 2014 - 04:22 PM

https://drive.google...dit?usp=sharing

  Đây là bve của e mong bác xem giúp

  Trong bv e muốn copy các text ở vị trí 1 sang vị trí 2 theo 1 khoảng a nhập vào và đưa nó về 1 layer, để sau đó e trừ các cao độ đó cho 1 số ra đc cao độ thực của nó.

 

PS: Đúng là món lisp thì e cũng có đọc nhưng k hiểu lắm, sửa lisp của bác mong hên xui nó chạy thôi. ai dè nó ngọng hề hề.

      Bài toán trên e sợ thuật toán khó quá nên muốn chuyển về tìm tọa độ các giao điểm tức các vị trí 2 rồi xuất vào tệp .xls như trên sau đó dựa vào các giao điểm đó để chèn text cao độ vào ( vì cao độ các điểm  này e có rồi thiếu mỗi tọa độ nó thôi) :(

Hề hề hề,

Dùng thử cái này coi sao nhé. Lưu ý là lisp viết dựa trên file bạn gửi nên nếu các bản vẽ khác thì chưa chắc chạy đúng vì các thuộc tính của các đối tượng trên bản vẽ đó không giống với trên bản vẽ bạn gửi.

Cụ thể các text cần copy trên bản vẽ của bạn gửi là có màu số 6, thuộc layer CAODO.

Pline nguồn và pline đích của bạn là 2d polyline .

Line cắt của bạn là line thuộc layer kheco.

Nếu các đồi tượng này ở bản vẽ không có thuộc tính giống như trên thì lisp sẽ không cho kết quả đúng.

 

Lisp chưa chuyển các text được copy về một layer như bạn mong muốn vì không biết bạn muốn nó nằm ở layer nào. Mình vẫn giữ nguyên layer của nó là layer của text gốc.

Việc chuyển này không khó , nhưng mình không muốn làm vì chưa hiểu yêu cầu cụ thể của bạn.

 

http://www.cadviet.c...pymultitext.lsp

 

Dựa vào lisp này, nếu bạn muốn có thể thay đổi các tham số lựa chọn cho phù hợp với các bản vẽ cụ thể của bạn. nhưng phải hiểu về cấu trúc và nguyên tắc làm việc của lisp.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 February 2014 - 09:38 AM

Hề hề hề,

Dùng thử cái này coi sao nhé. Lưu ý là lisp viết dựa trên file bạn gửi nên nếu các bản vẽ khác thì chưa chắc chạy đúng vì các thuộc tính của các đối tượng trên bản vẽ đó không giống với trên bản vẽ bạn gửi.

Cụ thể các text cần copy trên bản vẽ của bạn gửi là có màu số 6, thuộc layer CAODO.

Pline nguồn và pline đích của bạn là 2d polyline .

Line cắt của bạn là line thuộc layer kheco.

Nếu các đồi tượng này ở bản vẽ không có thuộc tính giống như trên thì lisp sẽ không cho kết quả đúng.

 

Lisp chưa chuyển các text được copy về một layer như bạn mong muốn vì không biết bạn muốn nó nằm ở layer nào. Mình vẫn giữ nguyên layer của nó là layer của text gốc.

Việc chuyển này không khó , nhưng mình không muốn làm vì chưa hiểu yêu cầu cụ thể của bạn.

 

http://www.cadviet.c...pymultitext.lsp

 

Dựa vào lisp này, nếu bạn muốn có thể thay đổi các tham số lựa chọn cho phù hợp với các bản vẽ cụ thể của bạn. nhưng phải hiểu về cấu trúc và nguyên tắc làm việc của lisp.

hề hề,

 Lisp chạy ngon lắm rồi bác ơi, cơ mà bác giúp e thêm chút nữa là cho các text mới copy vào 1 layer do người dùng tự nhập đc k ạ.

 E cảm ơn bác.


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#8 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 February 2014 - 09:16 PM

Thôi chết rồi bác ơi e chọn vài text cái thì đc, nhưng e vơ hết các text trên pline nguồn nó lại k ra.

 E gửi lại bản vẽ này bác check lại e phát

https://drive.google...dit?usp=sharing


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#9 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 16 February 2014 - 11:40 PM

Thôi chết rồi bác ơi e chọn vài text cái thì đc, nhưng e vơ hết các text trên pline nguồn nó lại k ra.

 E gửi lại bản vẽ này bác check lại e phát

https://drive.google...dit?usp=sharing

Hề hề hề,

Chết là đúng rồi bởi không chịu đọc kỹ hướng dẫn trước khi dùng thuốc mà.  Không những chọn cả đống nó không chạy mà với bản vẽ nà thì chọn bất cứ thằng text nào nó cũng không chạy bởi vì các text của bản vẽ này không phải có màu 6 như trong file mẫu lần trước bạn gửi.

Check một phát hay vài phát thì cũng như nhau cả thôi. vấn đề là phải hiểu rõ nội dung của lisp để sử dụng chứ không phải là check bừa.

Để khắc phục bạn có thể làm một trong hai cách sau đây:

1/- Đổi màu tất cả các text này về màu 6 (magenda)

2/- Bỏ code lựa chọn màu của text trong đoạn code  (setq sstl (acet-ss-to-list (ssget (list (cons 0 "text") (cons 62 6) (cons 8 "CAODO")))))

 

Về yêu cầu chuyển layer cho các text được copy ra, bạn có thể tự bổ sung vào lisp như hướng dẫn dưới đây:

1/- Thêm dòng code: (setq ssm (ssadd) ) vào ngay phía dưới dòng code: (command "ucs" "w")

2/- Thêm dòng code: (setq ssm (ssadd (entlast) ssm) ) vào ngay phía dưới dòng code: (command "copy" txt "" p1 p2)

3/- Thêm đoạn code: 

(setq lana (getstring "\n Nhap ten layer muon chuyen toi"))

(if (not (tblsearch "layer" lana))

     (command "layer" "m" lana "")

)

(command "change" ssm "" "p" "la" lana "") 

vào ngay phía trên dòng code: (command "ucs" "p")

4/- Lưu lại file và test lại xem đã ngon chưa. Nếu chưa thì post cái bạn đã sửa lên để mình check lỗi.

 

Chúc bạn hài lòng với kết quả của mình.

 (setq ssm (ssadd (entlast) ssm) )
 
 (setq ssm (ssadd (entlast) ssm) )

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#10 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 February 2014 - 09:10 AM

Hề hề hề,
Chết là đúng rồi bởi không chịu đọc kỹ hướng dẫn trước khi dùng thuốc mà.  Không những chọn cả đống nó không chạy mà với bản vẽ nà thì chọn bất cứ thằng text nào nó cũng không chạy bởi vì các text của bản vẽ này không phải có màu 6 như trong file mẫu lần trước bạn gửi.
Check một phát hay vài phát thì cũng như nhau cả thôi. vấn đề là phải hiểu rõ nội dung của lisp để sử dụng chứ không phải là check bừa.
Để khắc phục bạn có thể làm một trong hai cách sau đây:
1/- Đổi màu tất cả các text này về màu 6 (magenda)
2/- Bỏ code lựa chọn màu của text trong đoạn code  (setq sstl (acet-ss-to-list (ssget (list (cons 0 "text") (cons 62 6) (cons 8 "CAODO")))))
 
Về yêu cầu chuyển layer cho các text được copy ra, bạn có thể tự bổ sung vào lisp như hướng dẫn dưới đây:
1/- Thêm dòng code: (setq ssm (ssadd) ) vào ngay phía dưới dòng code: (command "ucs" "w")
2/- Thêm dòng code: (setq ssm (ssadd (entlast) ssm) ) vào ngay phía dưới dòng code: (command "copy" txt "" p1 p2)
3/- Thêm đoạn code: 
(setq lana (getstring "\n Nhap ten layer muon chuyen toi"))
(if (not (tblsearch "layer" lana))
     (command "layer" "m" lana "")
)
(command "change" ssm "" "p" "la" lana "") 
vào ngay phía trên dòng code: (command "ucs" "p")
4/- Lưu lại file và test lại xem đã ngon chưa. Nếu chưa thì post cái bạn đã sửa lên để mình check lỗi.
 
Chúc bạn hài lòng với kết quả của mình.
 (setq ssm (ssadd (entlast) ssm) )
 
 (setq ssm (ssadd (entlast) ssm) )

Oh, nó chạy rồi bác ơi, nhưng e hỏi thêm chút nữa là sau khi e chọn các text-->chọn pline nguon--> pline dich thì phải zoom nhỏ cái màn hình( để các text on screen) thì nó mới chạy, chứ bt e zoom to lên thì nó hổng chạy. Cái đó đc quy định trong đoạn nào của lisp vậy bác, e tìm mãi k ra [ :(]
  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#11 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 February 2014 - 11:26 AM

Oh, nó chạy rồi bác ơi, nhưng e hỏi thêm chút nữa là sau khi e chọn các text-->chọn pline nguon--> pline dich thì phải zoom nhỏ cái màn hình( để các text on screen) thì nó mới chạy, chứ bt e zoom to lên thì nó hổng chạy. Cái đó đc quy định trong đoạn nào của lisp vậy bác, e tìm mãi k ra [ :(]

Hề hề hề,

Cái đó quy định bởi hàm ...... Autolisp : Theo đó thì hàm (ssget ....) chỉ trả về các đối tượng hiện có trên màn hình nếu nó được chọn. 

để khỏi phải làm việc này, bạn có thể làm như sau:

1/- Thêm dòng code (command "zoom" "e") vào ngay phía dưới dòng code: (command "ucs" "w")

2/- Thêm dòng code 9command "zoom" "p") vào ngay phía trên dòng code: (command "ucs" "p")


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#12 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 February 2014 - 12:11 PM

Hề hề hề,
Cái đó quy định bởi hàm ...... Autolisp : Theo đó thì hàm (ssget ....) chỉ trả về các đối tượng hiện có trên màn hình nếu nó được chọn. 
để khỏi phải làm việc này, bạn có thể làm như sau:
1/- Thêm dòng code (command "zoom" "e") vào ngay phía dưới dòng code: (command "ucs" "w")
2/- Thêm dòng code 9command "zoom" "p") vào ngay phía trên dòng code: (command "ucs" "p")

Vậy mà e tìm mãi k ra.
Cơ mà bác ơi giờ e mới để ý, sau khi thêm cái (command "zoom" "e")... như trên thì cái text trong đoạn cong copy ra ko đúng địa chỉ: giao của pline "khe co" với pline dich (ko có thì đúng ạ).Vậy là sao bác nhỉ??

Đây là bản e làm

https://drive.google...dit?usp=sharing


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#13 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 February 2014 - 03:00 PM

Vậy mà e tìm mãi k ra.
Cơ mà bác ơi giờ e mới để ý, sau khi thêm cái (command "zoom" "e")... như trên thì cái text trong đoạn cong copy ra ko đúng địa chỉ: giao của pline "khe co" với pline dich (ko có thì đúng ạ).Vậy là sao bác nhỉ??

Đây là bản e làm

https://drive.google...dit?usp=sharing

Hề hề hề,

Đó là do lỗi truy bắt điểm mà thôi. Khi bạn zoom extents thì màn hình phóng lớn lên để hiển thị hết tất cả các đối tượng hiện có. vì thế các kích thước của đối tượng vẽ bị thu nhỏ tới mức mà với độ phân giải của màn hình cũng không phân biệt được các sai số trong phạm vi kich thước của selection box.

Vì thế có lẽ dùng zoom extents ở đây là chưa thích hợp.

Bạn có thể sửa lisp một chút để sử dụng zoom windows có nhẽ phù hợp hơn chăng.

Tuy nhiên dù là dùng gì nếu như bạn lấy vùng chon đối tượng quá lớn đều có thể dẫn tới kết quả có chút sai lệch như vậy. Vì thế bạn nên sử dụng zoo windows với kích thước vùng chọn hợp lý cho mỗi lần chạy lisp.

Cách làm như sau:

1/- Thay đoạn code:

(setq p1 (car (acet-ss-zoom-extents (acet-list-to-ss sstl)))

         p2 (cadr (acet-ss-zoom-extents (acet-list-to-ss sstl)))  )

(command "zoom" "W" p1 p2)

cho dòng code : (command "zoom" "e")

2/- lưu lại file và chạy thử coi sao. Nếu Ok thì tốt, nếu chưa thì thử giảm kích thước vùng chọn đi 1/2 và chạy lại.

Khi đó bạn sẽ xác định được kích thước vùng chọn sao cho hợp lý nhất.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#14 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 February 2014 - 04:53 PM

Vấn đề của e đã đc giải quyết. Một lần nữa xin đc cảm ơn bác !!!


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội